<?
$r = "../";
require_once($r."inc/funciones.php");
$titlepage = "Consulta de pedidos";
validNotSession($r);
$sql="";
$i=0;
foreach ($_GET as $key => $value)
{   
    if(!empty($_GET['mpago'])){
        $sqlinner = "INNER JOIN z_pagos ON z_pedidos.codigopedido = z_pagos.idpedido";
        $sqlmpago = " z_pagos.idmedio = ".$_GET['mpago'];
        if($key!="fecha1" && $key!='fecha2' && $key!='id' && $key!='estado' && $key!='mpago'){
            if($value!=""){$sql .= "z_pedidos.$key='$value' AND ";}
        }
        
        if($key=="fecha1" or $key=='fecha2'){
            if($key=="fecha1"){
                if($value!=""){
                $fecha1=$value;
                $fecha2=$value;
                $fechai= "z_pagos.fecha BETWEEN '$fecha1 00:00:00' AND '$fecha2 23:59:59' AND ";
                
                }
            }
            if($key=="fecha2"){
                if($value!=""){
                $fecha2=$value;
                $fechaf= "z_pagos.fecha BETWEEN '$fecha1 00:00:00' AND '$fecha2 23:59:59' AND ";
                }
            }
        }
        if($key=='estado'){
            foreach ($_GET['estado'] as $key2 => $value2){
                if($i!='0'){
                    $sql2 .= "OR z_pedidos.estado='$value2' ";
                    $i++;
                }else{
                    $sql2 .= "z_pedidos.estado='$value2' ";
                    $i++;
                };
            }$sql2 .=' AND ';
        }
        $sqlid= "AND z_pedidos.id!=0 GROUP BY z_pedidos.codigopedido";
    }else{
        if($key!="fecha1" && $key!='fecha2' && $key!='id' && $key!='estado' && $key!='mpago'){
            if($value!=""){$sql .= "$key='$value' AND ";}
        }
        
        if($key=="fecha1" or $key=='fecha2'){
            if($key=="fecha1"){
                if($value!=""){
                $fecha1=$value;
                $fecha2=$value;
                $fechai= "fecha BETWEEN '$fecha1 00:00:00' AND '$fecha2 23:59:59' AND ";
                
                }
            }
            if($key=="fecha2"){
                if($value!=""){
                $fecha2=$value;
                $fechaf= "fecha BETWEEN '$fecha1 00:00:00' AND '$fecha2 23:59:59' AND ";
                }
            }
        }
        if($key=='estado'){
            foreach ($_GET['estado'] as $key2 => $value2){
                if($i!='0'){
                    $sql2 .= "OR estado='$value2' ";
                    $i++;
                }else{
                    $sql2 .= "estado='$value2' ";
                    $i++;
                };
            }$sql2 .=' AND ';
        }
        $sqlid= " id!=0";
    }
   
}
if($fechaf==""){$sql.=$fechai;}else{$sql.=$fechaf;}
$mysqli = connectDB($r);
$row1 = $mysqli->query("SELECT * FROM z_pedidos $sqlinner WHERE $sql2 $sql $sqlmpago $sqlid");
?>
  <?php include $r."inc/head.php"; ?>
<body class="fixed-nav sidenav-toggled sticky-footer bg-dark" id="page-top">
  <?php include $r."inc/nav.php"; ?>
  <style>.sweet-alert{
      width: 80%;
    margin-left: -40%;
}</style>
  <div class="content-wrapper">
    <div class="container-fluid">
      <div class="card mb-3">
        <div class="h3 card-header">
          <i class="fa fa-table"></i> RESULTADO CONSULTA</div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0" style="font-size:11px;">
              <thead>
                <tr>
                  <th>Usuario</th>
                  <th>Cliente</th>
                  <th>Domiciliario</th>
                  <th>Fecha entrega </th>
                  <th>Codigo </th>
                  <th>Estado </th>
                  <th>Pago </th>
                  <th>valor factura</th>
                  <th>adicional</th>
                  <th>total</th>
                  <th>Acción</th>
                </tr>
              </thead>
              <tbody>
                    <?php
                    while($row2 = $row1->fetch_assoc()) {
                        
                    ?>
                      <tr>
                        <td><?php $usuario = suser($row2["iduser"]); echo $usuario['nombre']; ?></td>
                        <td><?php $cliente = sclien($row2["idcliente"]); echo $cliente['nombre'];?></td>
                        <td><?php $rutero = srute($row2["idrutero"]); echo $rutero['nombre']; ?></td>
                        <td><?php echo $row2["fechaentrega"] ?></td>
                        <td><?php echo "<b>".$row2["tipopedido"]." </b>".$row2["codigopedido"] ?></td>
                        <? $subtotal = ((int)$row2['total']+(int)$row2['adicional']); ?>
                        <?php $infoestado = sinfo('z_epedidos',$row2['estado']); ?><td><?= $infoestado['estado'];?></td>
                        <?php $infopago = sinfo('z_epagos',$row2['pago']); ?><td class="<?= $infopago['color'];?>"><?= $infopago['estado'];?></td>
                        
                        <td><?= moneda($row2['total']); $subtotals = $subtotals+$row2['total'];?></td>
                        <td><? if($row2['adicional']!=0){ echo moneda($row2['adicional']); $subadicional = $subadicional+$row2['adicional'];} ?></td>
                        <?php   if($row2["pago"]!=1){ ?>
                        <td class="<? if($subtotal<0){echo 'text-danger';}elseif($subtotal>0){echo 'text-success';}elseif($subtotal=0){echo 'text-warning';}?> text-right"><?= moneda($subtotal); ?></td>
                        <? }else{echo '<td><spam class="h6 text-warning text-right">'.moneda($subtotal).'</spam></td>';}?>
                        
                    <td width="20px">
                        <?php if($row2['estado']==4 or $row2['estado']==5 ){
                             ?>
                        
                            <a class="btn_default text-danger"  onclick="reactivar(<?= $row2["codigopedido"] ?>)" ><i class="fa fa-reply fa-lg"></i></a>
                            <?php } ?>
                            <?php 
                            if($row2['tipopedido']!='F'){ ?>
                            <a class="btn_default text-primary"  onclick="return popitup('../caja/imprimir-1.php?code=<?php echo $row2["codigopedido"] ?>')" href="../caja/imprimir-1.php?code=<?php echo $row2["codigopedido"] ?>" target="_blank"><i class="fa fa-print fa-lg"></i></a>
                            <?php } else{ ?>
                            <a class="btn_default text-warning"  onclick="return popitup('../caja/imprimir.php?code=<?php echo $row2["codigopedido"] ?>')" href="../caja/imprimir.php?code=<?php echo $row2["codigopedido"] ?>" target="_blank"><i class="fa fa-print fa-lg"></i></a>
                            <?php } ?>
                            <? $code = $row2["codigopedido"]; 
                            $sqlpago = $mysqli->query("SELECT id FROM `z_pagos` WHERE idpedido = $code"); if($sqlpago->num_rows > 0){ ?><i onclick="hpay('<?= $code ?>')" class="fa fa-list text-secondary ml-1" style="cursor:pointer"></i><? } ?>
                            <? $sqlabonos = $mysqli->query("SELECT id FROM `z_abonos` WHERE codigopedido = $code"); if($sqlabonos->num_rows > 0){ ?><i onclick="habonos(<?= $code ?>,<?= $subtotal; ?>)" class="fa fa-history text-secondary ml-1" style="cursor:pointer"></i><? } ?>
                            
                            </td>
                        </tr>
                    <?php 
                    
                    $total= $total + $subtotal;
                    }
                    ?>
              <tbody>
                  
              <tfoot>
                <tr>
                  <th></th>
                  <th></th>
                  <th></th>
                  <th></th>
                  <th></th>
                  <th></th>
                  <th>TOTAL</th>
                  <th><?= moneda($subtotals); ?></th>
                  <th><?= moneda($subadicional); ?></th>
                  <th class=" text-right text-primary"><?= moneda($total); ?><th>
                </tr>
              </tfoot>
            </table>
          </div>
        </div>
      </div>
      <a class="btn btn-primary float-left" href="consultar.php">Atras</a>
    </div>
  </div>
  <?php include $r."inc/foot.php"; ?>
 
<script>
    function popitup(url){
	    newwindow=window.open(url,'name','height=600,width=320'); 
	    if (window.focus) {newwindow.print();}
	    return false; 
    }
    function hpay(code){
        $.post( "acciones/infopago.php", { code: code })
          .done(function( data ) {
          swal({ html:true, title:'<i>'+code+'</i>', text:'<div>'+data+'</div>'});
          });
        
    }
    function habonos(code,total){
        let num = new Intl.NumberFormat('es-ES', { style: 'currency', currency: 'COP' }).format(total);
        $.post( "acciones/infoabonos.php", { code: code, total: total })
          .done(function( data ) {
          swal({ html:true, title:'#<i>'+code+' </i> - Total : <i>'+num+'</i>', text:'<div>'+data+'</div>'});
          });
        
    }
    
    function reactivar(idpedido) {
    swal({
            title: '¿Deseas restaurar este pedido?',
            text: 'El pedido #' + idpedido + ' será restaurado. Esta acción no se puede deshacer.',
            type: 'warning',
            showCancelButton: true,
            confirmButtonText: 'Sí, restaurar',
            cancelButtonText: 'Cancelar',
            closeOnConfirm: false,
            closeOnCancel: true
        }, function(isConfirm) {
            if (isConfirm) {
                // Acción a realizar al confirmar
                restaurarPedido(idpedido);
            }
        });
    }



    function restaurarPedido(idpedido) {
        // Aquí realizas la llamada AJAX para restaurar el pedido
        fetch('acciones.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded',
            },
            body: 'idrestauracion=' + encodeURIComponent(idpedido)
        })
        .then(response => response.json())
        .then(data => {
            console.log('Success:', data);
            if (data.success) {
                swal({
                    title: 'Restaurado',
                    text: 'El pedido ha sido restaurado con éxito.',
                    type: 'success'
                }, function() {
                    // Refrescar la página después de cerrar la alerta de éxito
                    location.reload();
                });
            } else {
                swal('Error', 'No se pudo restaurar el pedido.', 'error');
            }
        })
        .catch((error) => {
            console.error('Error:', error);
            swal('Error', 'No se pudo restaurar el pedido.', 'error');
        });
    }
</script> 
<script>
$('#dataTable').DataTable( {
        "order": [[ 3, "desc" ]],
        "lengthMenu": [[100, 500, 1000, -1], [100, 500, 1000, "All"]]
    } );
  </script>
</body>
</html>   